﻿Imports Microsoft.VisualBasic
Public Class FrmColor

#Region "..."
    Private Sub AlphaBar_Scroll(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AlphaBar.Scroll
        refrashColor()
    End Sub
    Private Sub RedBar_Scroll(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RedBar.Scroll
        refrashColor()
    End Sub

    Private Sub GreenBar_Scroll(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GreenBar.Scroll
        refrashColor()
    End Sub

    Private Sub BlueBar_Scroll(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BlueBar.Scroll
        refrashColor()
    End Sub

#End Region
    Sub refrashColor()
        myColor = Color.FromArgb(AlphaBar.Value, RedBar.Value, GreenBar.Value, BlueBar.Value)
        TxtAlpha.Text = AlphaBar.Value
        TxtRed.Text = RedBar.Value
        TxtGreen.Text = GreenBar.Value
        TxtBlue.Text = BlueBar.Value
        ColorBox.BackColor = myColor
        TxtHex.Text = "Hex {" & Hex(RedBar.Value) & ", " & Hex(GreenBar.Value) & ", " & Hex(BlueBar.Value) & "}"
        'TxtHex.Text = "#" & Hex(Convert.ToInt32(ColorBox.BackColor.ToArgb))
        'TxtHex.Text = "#" & ColorTranslator.ToHtml(ColorBox.BackColor)

    End Sub

    Private Sub ColorBox_BackColorChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles ColorBox.BackColorChanged
        AlphaBar.Value = ColorBox.BackColor.A
        RedBar.Value = ColorBox.BackColor.R
        GreenBar.Value = ColorBox.BackColor.G
        BlueBar.Value = ColorBox.BackColor.B
        myColor = Color.FromArgb(AlphaBar.Value, RedBar.Value, GreenBar.Value, BlueBar.Value)
        'MDIParent1.ToolStripTextBox1.ForeColor = myColor
        Form1.Refresh()
        myBrush = New SolidBrush(myColor)
        MDIParent1.myForeColor.BackColor = myColor
        TxtHex.Text = "Hex {" & Hex(RedBar.Value) & ", " & Hex(GreenBar.Value) & ", " & Hex(BlueBar.Value) & "}"
    End Sub

    Private Sub ColorBox_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ColorBox.Click
        ColorDialog1.Color = ColorBox.BackColor
        If ColorDialog1.ShowDialog(Me) = Windows.Forms.DialogResult.OK Then
            AlphaBar.Value = ColorDialog1.Color.A
            RedBar.Value = ColorDialog1.Color.R
            GreenBar.Value = ColorDialog1.Color.G
            BlueBar.Value = ColorDialog1.Color.B
            ColorBox.BackColor = ColorDialog1.Color
            TxtHex.Text = "Hex {" & Hex(RedBar.Value) & ", " & Hex(GreenBar.Value) & ", " & Hex(BlueBar.Value) & "}"
        End If
    End Sub
#Region "Swatches"

    Private Sub Transparent_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Transparent.Click
        chgColor(Color.Transparent)
        AlphaBar.Value = 0
    End Sub

    Private Sub Black_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Black.Click
        chgColor(Color.Black)
    End Sub

    Private Sub AntiqueWhite_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles AntiqueWhite.Click
        chgColor(Color.AntiqueWhite)
    End Sub

    Private Sub Aqua_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Aqua.Click
        chgColor(Color.Aqua)
    End Sub

    Private Sub Aquamarine_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Aquamarine.Click
        chgColor(Color.Aquamarine)
    End Sub

    Private Sub Bisque_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Bisque.Click
        chgColor(Color.Bisque)
    End Sub

    Private Sub Brown_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Brown.Click
        chgColor(Color.Brown)
    End Sub

    Private Sub BurlyWood_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles BurlyWood.Click
        chgColor(Color.BurlyWood)
    End Sub

    Private Sub Chocolate_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Chocolate.Click
        chgColor(Color.Chocolate)
    End Sub

    Private Sub Coral_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Coral.Click
        chgColor(Color.Coral)
    End Sub

    Private Sub CornflowerBlue_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles CornflowerBlue.Click
        chgColor(Color.CornflowerBlue)
    End Sub

    Private Sub DarkGray_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles DarkGray.Click
        chgColor(Color.DarkGray)
    End Sub

    Private Sub DarkGreen_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles DarkGreen.Click
        chgColor(Color.DarkGreen)
    End Sub

    Private Sub DarkKhaki_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles DarkKhaki.Click
        chgColor(Color.DarkKhaki)
    End Sub

    Private Sub DarkOliveGreen_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles DarkOliveGreen.Click
        chgColor(Color.DarkOliveGreen)
    End Sub

    Private Sub DarkOrange_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles DarkOrange.Click
        chgColor(Color.DarkOrange)
    End Sub

    Private Sub DarkRed_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles DarkRed.Click
        chgColor(Color.DarkRed)
    End Sub

    Private Sub DarkSalmon_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles DarkSalmon.Click
        chgColor(Color.DarkSalmon)
    End Sub

    Private Sub DarkTurquoise_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles DarkTurquoise.Click
        chgColor(Color.DarkTurquoise)
    End Sub

    Private Sub DeepSkyBlue_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles DeepSkyBlue.Click
        chgColor(Color.DeepSkyBlue)
    End Sub

    Private Sub DimGray_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles DimGray.Click
        chgColor(Color.DimGray)
    End Sub

    Private Sub Firebrick_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Firebrick.Click
        chgColor(Color.Firebrick)
    End Sub

    Private Sub ForestGreen_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles ForestGreen.Click
        chgColor(Color.ForestGreen)
    End Sub

    Private Sub Fuchsia_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Fuchsia.Click
        chgColor(Color.Fuchsia)
    End Sub

    Private Sub Gainsboro_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Gainsboro.Click
        chgColor(Color.Gainsboro)
    End Sub

    Private Sub Goldenrod_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Goldenrod.Click
        chgColor(Color.Goldenrod)
    End Sub

    Private Sub Gray_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Gray.Click
        chgColor(Color.Gray)
    End Sub

    Private Sub GreenYellow_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles GreenYellow.Click
        chgColor(Color.GreenYellow)
    End Sub

    Private Sub IndianRed_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles IndianRed.Click
        chgColor(Color.IndianRed)
    End Sub

    Private Sub Khaki_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Khaki.Click
        chgColor(Color.Khaki)
    End Sub

    Private Sub LavenderBlush_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles LavenderBlush.Click
        chgColor(Color.LavenderBlush)
    End Sub

    Private Sub LightBlue_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles LightBlue.Click
        chgColor(Color.LightBlue)
    End Sub

    Private Sub LightCoral_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles LightCoral.Click
        chgColor(Color.LightCoral)
    End Sub

    Private Sub LightGoldenrodYellow_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles LightGoldenrodYellow.Click
        chgColor(Color.LightGoldenrodYellow)
    End Sub

    Private Sub LightGray_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles LightGray.Click
        chgColor(Color.LightGray)
    End Sub

    Private Sub LightRed_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles LightRed.Click
        chgColor(Color.FromArgb(255, 255, 192, 192))
    End Sub

    Private Sub LightSkyBlue_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles LightSkyBlue.Click
        chgColor(Color.LightSkyBlue)
    End Sub

    Private Sub Lime_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Lime.Click
        chgColor(Color.Lime)
    End Sub

    Private Sub Linen_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Linen.Click
        chgColor(Color.Linen)
    End Sub

    Private Sub Maroon_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Maroon.Click
        chgColor(Color.Maroon)
    End Sub

    Private Sub MediumPurple_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles MediumPurple.Click
        chgColor(Color.MediumPurple)
    End Sub

    Private Sub MistyRose_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles MistyRose.Click
        chgColor(Color.MistyRose)
    End Sub

    Private Sub NavajoWhite_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles NavajoWhite.Click
        chgColor(Color.NavajoWhite)
    End Sub

    Private Sub Navy_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Navy.Click
        chgColor(Color.Navy)
    End Sub

    Private Sub Olive_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Olive.Click
        chgColor(Color.Olive)
    End Sub

    Private Sub OliveDrab_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles OliveDrab.Click
        chgColor(Color.OliveDrab)
    End Sub

    Private Sub OrangeRed_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles OrangeRed.Click
        chgColor(Color.OrangeRed)
    End Sub

    Private Sub PaleGoldenrod_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles PaleGoldenrod.Click
        chgColor(Color.PaleGoldenrod)
    End Sub

    Private Sub PeachPuff_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles PeachPuff.Click
        chgColor(Color.PeachPuff)
    End Sub

    Private Sub Peru_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Peru.Click
        chgColor(Color.Peru)
    End Sub

    Private Sub Pink_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Pink.Click
        chgColor(Color.Pink)
    End Sub

    Private Sub Purple_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Purple.Click
        chgColor(Color.Purple)
    End Sub

    Private Sub Red_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Red.Click
        chgColor(Color.Red)
    End Sub

    Private Sub RosyBrown_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles RosyBrown.Click
        chgColor(Color.RosyBrown)
    End Sub

    Private Sub SaddleBrown_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles SaddleBrown.Click
        chgColor(Color.SaddleBrown)
    End Sub

    Private Sub Salmon_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Salmon.Click
        chgColor(Color.Salmon)
    End Sub

    Private Sub SandyBrown_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles SandyBrown.Click
        chgColor(Color.SandyBrown)
    End Sub

    Private Sub SeaShell_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles SeaShell.Click
        chgColor(Color.SeaShell)
    End Sub

    Private Sub Sienna_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Sienna.Click
        chgColor(Color.Sienna)
    End Sub

    Private Sub Silver_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Silver.Click
        chgColor(Color.Silver)
    End Sub

    Private Sub Snow_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Snow.Click
        chgColor(Color.Snow)
    End Sub

    Private Sub Tan_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Tan.Click
        chgColor(Color.Tan)
    End Sub

    Private Sub Tomato_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Tomato.Click
        chgColor(Color.Tomato)
    End Sub

    Private Sub White_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles White.Click
        chgColor(Color.White)
    End Sub

    Private Sub WhiteSmoke_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles WhiteSmoke.Click
        chgColor(Color.WhiteSmoke)
    End Sub

    Private Sub Yellow_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Yellow.Click
        chgColor(Color.Yellow)
    End Sub

    Private Sub YellowGreen_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles YellowGreen.Click
        chgColor(Color.YellowGreen)
    End Sub

    Private Sub Gold_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Gold.Click
        chgColor(Color.Gold)
    End Sub

    Private Sub Blue_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Blue.Click
        chgColor(Color.Blue)
    End Sub
    Sub chgColor(ByVal mColor As Color)
        myBrush = New SolidBrush(mColor)
        RedBar.Value = mColor.R
        GreenBar.Value = mColor.G
        BlueBar.Value = mColor.B
        MDIParent1.myForeColor.BackColor = mColor
    End Sub
#End Region

    Private Sub EraserColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EraserColor.Click
        Eraser.Show()
    End Sub
    Private Sub AlphaBar_ValueChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles AlphaBar.ValueChanged
        refrashColor()
    End Sub

    Private Sub RedBar_ValueChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles RedBar.ValueChanged
        refrashColor()
    End Sub

    Private Sub GreenBar_ValueChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles GreenBar.ValueChanged
        refrashColor()
    End Sub

    Private Sub BlueBar_ValueChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles BlueBar.ValueChanged
        refrashColor()
    End Sub

    Private Sub CopyColorMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CopyColorMenuItem.Click
        Clipboard.SetText(ColorTranslator.ToHtml(ColorBox.BackColor))
    End Sub

 
End Class