﻿Imports System.Drawing.Drawing2D

Public NotInheritable Class AboutBox1

    Private Sub AboutBox1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Click
        Me.Close()
    End Sub


    Private Sub AboutBox1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Set the title of the form.
        Dim ApplicationTitle As String
        If My.Application.Info.Title <> "" Then
            ApplicationTitle = My.Application.Info.Title
        Else
            ApplicationTitle = System.IO.Path.GetFileNameWithoutExtension(My.Application.Info.AssemblyName)
        End If
        Me.Text = String.Format("About {0}", ApplicationTitle)
        ' Initialize all of the text displayed on the About Box.
        ' TODO: Customize the application's assembly information in the "Application" pane of the project 
        '    properties dialog (under the "Project" menu).
        Me.LabelProductName.Text = My.Application.Info.ProductName
        Me.LabelVersion.Text = String.Format("Version {0}", My.Application.Info.Version.ToString)
        Me.LabelCopyright.Text = My.Application.Info.Copyright

    End Sub
    Private Sub OKButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OKButton.Click
        Me.Close()
    End Sub

    Private Sub AboutBox1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles Me.Paint
        Dim tmpRec As Rectangle
        tmpRec.X = 0
        tmpRec.Y = 0
        tmpRec.Size = New Point(Me.Width - 1, Me.Height - 1)
        Using myPen As Pen = New Pen(SystemColors.ControlDark, 2)
            e.Graphics.DrawRectangle(myPen, tmpRec)
        End Using
        tmpRec.Size = New Point(50, Me.Height)
        Using GradBrush As LinearGradientBrush = New LinearGradientBrush(tmpRec, Color.LawnGreen, Color.Green, LinearGradientMode.BackwardDiagonal)
            e.Graphics.FillRectangle(GradBrush, tmpRec)
        End Using
    End Sub

End Class
