﻿Imports System.Drawing
Imports System.Drawing.Drawing2D

Public Class Form1
    Private m_PanStartPoint As New Point
    Dim Oldi, Oldj As Integer
    Dim pasteLocation As Point
    Dim clipbrdBmp As Image
    Dim mtxt As Point

    Private m_OriginalBm As Bitmap
    Private m_CroppedBm As Bitmap
#Region "Form Events"

    Private Sub Form1_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        If isSaved = False Then

            Dim respond = MsgBox("Save changes?", MsgBoxStyle.Exclamation + MsgBoxStyle.YesNo, "PhotoEdit")
            If respond = MsgBoxResult.Yes Then
                Save()
            ElseIf respond = MsgBoxResult.No Then

            End If
        End If

        Me.AutoSize = False

        myTool = "Cursor"
        i = 0
        MDIParent1.SelectedToolButton.Image = MDIParent1.ButCursor.Image
        Me.Cursor = Cursors.Default
        MDIParent1.FillToolStripMenuItem.Visible = False
        MDIParent1.ReflectTextToolStripMenuItem.Visible = False
        MDIParent1.RegularToolStripMenuItem.Visible = False
        MDIParent1.ShadowToolStripMenuItem.Visible = False

        FrmCEffect.TabPage1.Enabled = False
        FrmCEffect.TabPage2.Enabled = False
        FrmCEffect.BrightnessBar.Value = 0
        FrmCEffect.ContrastBar.Value = 0

        frmHistory.ListHistory.Items.Clear()
        frmHistory.ListName.Items.Clear()

        MDIParent1.ImageMenu.Enabled = False
        MDIParent1.EditMenu.Enabled = False
        MDIParent1.FilterMenu.Enabled = False

    End Sub
    Sub Save()
        Try
            MDIParent1.SaveFileDialog1.InitialDirectory = My.Computer.FileSystem.SpecialDirectories.MyDocuments
            MDIParent1.SaveFileDialog1.Filter = "All Files (*.*)|*.*"

            MDIParent1.SaveFileDialog1.ShowDialog()
            Dim FileName As String = MDIParent1.SaveFileDialog1.FileName
            Pic1.Image.Save(FileName, Imaging.ImageFormat.Png)
        Catch ex As Exception
            MDIParent1.Status1.Text = "Error: " & ex.Message
        End Try
    End Sub

    Private Sub Form1_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles Me.KeyDown

        If e.KeyCode = Keys.Delete Then
            Try
                bmap = New Bitmap(Pic1.Image)
                Pic1.Image = bmap
                Dim tempbmp As New Bitmap(Pic1.Image)
                Dim i, j As Integer
                If Eraser.RadioTransparent.Checked = True Then
                    With tempbmp
                        For j = y1 + 1 To y2 - 1
                            For i = x1 + 1 To x2 - 1
                                bmap.SetPixel(i, j, Color.FromArgb(0, 0, 0, 0))
                            Next
                        Next
                    End With
                Else
                    With tempbmp
                        For j = y1 + 1 To y2 - 1
                            For i = x1 + 1 To x2 - 1
                                bmap.SetPixel(i, j, Color.FromArgb(255, 255, 255, 255))
                            Next
                        Next
                    End With
                End If
                Pic1.Image = bmap
                Pic1.Refresh()
                AddtoHistory("Delete selected area.")
            Catch ex As Exception

            End Try
        ElseIf e.KeyCode = Keys.Enter Then
            ApplyChanges()
        ElseIf e.KeyCode = Keys.Escape Then
            myTool = "Cursor"
            MDIParent1.ToolStripTextBox1.Text = "Type text here"
            mtxt = New Point(0, 0)
            Me.Cursor = Cursors.Default
            i = 0
            Pic1.Refresh()
        End If
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        zoomFactor = 1
        If myCommand = "Open" Then

            Try
                Pic1.Refresh()
                G = Graphics.FromImage(Pic1.Image)
                Pic1.Enabled = True
            Catch ex As Exception
                MsgBox("Error: " & ex.Message, MsgBoxStyle.Critical)
                Pic1.Enabled = False
                'Me.Text &= " [Only Preview]"
                'MDIParent1.Status1.Text = "You can not edit (Only Preview)"
            End Try
            Me.Width = Pic1.Image.Width
            Me.Height = Pic1.Image.Height
        Else

        End If
        x1 = 0
        y1 = 0
        x2 = Pic1.Image.Width
        y2 = Pic1.Image.Height

        m_X1 = 0
        m_Y1 = 0

        FrmCEffect.TabPage1.Enabled = True
        FrmCEffect.TabPage2.Enabled = True

        MDIParent1.ImageMenu.Enabled = True
        MDIParent1.EditMenu.Enabled = True
        MDIParent1.FilterMenu.Enabled = True
        bmap = New Bitmap(Pic1.Image)
        OrginalImgWidth = Pic1.Image.Width
        OrginalImgHeight = Pic1.Image.Height
        AddtoHistory("New")
        Me.AutoSize = True
        isSaved = True
    End Sub

#End Region
    Private Sub PictureBox1_MouseClick(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Pic1.MouseClick
        If myTool = "Polygon" Then
            myPen = New Pen(myColor, MDIParent1.SizeBox.Text)
            If i = 0 Then
                Oldi = e.X
                Oldj = e.Y
                i = 1
            ElseIf i = 1 Then
                G.DrawLine(myPen, Oldi, Oldj, e.X, e.Y)
                Oldi = e.X
                Oldj = e.Y
            End If
            AddtoHistory(myTool)
        ElseIf myTool = "Floodfill" Then
            bmap = New Bitmap(Pic1.Image)
            Pic1.Image = bmap
            Dim old_color As Color = bmap.GetPixel(e.X, e.Y)
            If e.Button = Windows.Forms.MouseButtons.Left Then
                Do
                Loop Until Not (myColor.Equals(old_color))
                ' Flood.
                FloodFill(bmap, e.X, e.Y, myColor)
            ElseIf e.Button = Windows.Forms.MouseButtons.Right Then
                Do
                Loop Until Not (myColor.Equals(old_color))
                ' Flood.
                FloodFill(bmap, e.X, e.Y, myColor)
            End If

            ' Redraw.
            Me.Invalidate()
            AddtoHistory(myTool)
        End If
    End Sub

    Private Sub PictureBox1_MouseDoubleClick(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Pic1.MouseDoubleClick
        Pic1.Refresh()
        x1 = 0
        y1 = 0
        x2 = Pic1.Image.Width
        y2 = Pic1.Image.Height
        myTool = "Cursor"
    End Sub

    Private Sub PictureBox1_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Pic1.MouseDown
        OldX = e.X
        OldY = e.Y
        m_PanStartPoint = New Point(e.X, e.Y)
        If e.Button = Windows.Forms.MouseButtons.Left Then
            If myTool = "Text" Then
                mtxt.X = e.X
                mtxt.Y = e.Y
                Pic1.Refresh()
                MDIParent1.ToolStripTextBox1.Visible = True

            ElseIf myTool = "Picker" Then
                Pic1.Refresh()
                Dim tempbmp As New Bitmap(Pic1.Image)
                FrmColor.AlphaBar.Value = tempbmp.GetPixel(e.X, e.Y).A
                FrmColor.RedBar.Value = tempbmp.GetPixel(e.X, e.Y).R
                FrmColor.GreenBar.Value = tempbmp.GetPixel(e.X, e.Y).G
                FrmColor.BlueBar.Value = tempbmp.GetPixel(e.X, e.Y).B
            ElseIf myTool = "Paste" Then

                ' Start dragging.
                dragging = True

                ' Record the offset from the mouse to the picture's origin.
                OffsetX = pasteLocation.X - e.X
                OffsetY = pasteLocation.Y - e.Y
            ElseIf myTool = "Crop" Then
                m_X1 = e.X
                m_Y1 = e.Y
                m_X2 = e.X
                m_Y2 = e.Y
            End If

        ElseIf e.Button = Windows.Forms.MouseButtons.Right Then
            If myTool = "Text" Then
                Pic1.Refresh()
                MDIParent1.ToolStripTextBox1.Visible = False
                DrawString()
                AddtoHistory(myTool)
            ElseIf myTool = "Select" Then
                Pic1.Refresh()
                x1 = 0
                x2 = Pic1.Image.Width
                y1 = 0
                y2 = Pic1.Image.Height
            ElseIf myTool <> "Paste" Then

            End If

        End If

    End Sub


    Private Sub Pic1_MouseLeave(ByVal sender As Object, ByVal e As System.EventArgs) Handles Pic1.MouseLeave
        MDIParent1.ToolStripStatusLbXY.Text = Nothing
    End Sub

    Private Sub PictureBox1_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Pic1.MouseMove
        MDIParent1.ToolStripStatusLbXY.Text = CInt(e.X / zoomFactor) & ", " & CInt(e.Y / zoomFactor)
        If myTool = "Polygon" Then
            If i = 1 Then
                Pic1.Refresh()
                Pic1.CreateGraphics.DrawLine(dashPen, OldX, OldY, e.X, e.Y)
                Pic1.CreateGraphics.DrawRectangle(dashPen, SelectRect)
            End If
        End If
        If e.Button = Windows.Forms.MouseButtons.Left Then
            Select Case myTool
                Case "Select"
                    dashPen.DashStyle = Drawing2D.DashStyle.Dash
                    dashPen.Color = Color.Silver
                    Pic1.Refresh()

                    If (OldX = e.X) OrElse (OldY = e.Y) Then Exit Select
                    SelectRect.X = Math.Min(e.X, OldX)
                    SelectRect.Width = Math.Abs(OldX - e.X)
                    SelectRect.Y = Math.Min(e.Y, OldY)
                    SelectRect.Height = Math.Abs(OldY - e.Y)

                    Pic1.CreateGraphics.DrawRectangle(dashPen, SelectRect)
                    x1 = SelectRect.X
                    y1 = SelectRect.Y
                    x2 = Math.Min(SelectRect.X + SelectRect.Width, Pic1.Image.Width)
                    y2 = Math.Min(SelectRect.Y + SelectRect.Height, Pic1.Image.Height)
                    ' Create rectangle for clipping region.
                    Dim clipRect As New Rectangle(x1, y1, x2 - x1, y2 - y1)

                    ' Set clipping region of graphics to rectangle.
                    G.SetClip(clipRect)
                Case "Crop"
                    m_X2 = e.X
                    m_Y2 = e.Y
                    If (OldX = e.X) OrElse (OldY = e.Y) Then Exit Select
                    Pic1.Refresh()
                    Dim rect As New Rectangle( _
                            Math.Min(OldX, e.X), _
                            Math.Min(OldY, e.Y), _
                            Math.Abs(e.X - OldX), _
                            Math.Abs(e.Y - OldY))

                    Using mPen As Pen = New Pen(Color.Red, 2)
                        mPen.DashStyle = Drawing2D.DashStyle.Dash
                        Pic1.CreateGraphics.DrawRectangle(mPen, rect)
                    End Using

                Case "Move"

                Case "Hand"
                    Dim DeltaX As Integer = (m_PanStartPoint.X - e.X)
                    Dim DeltaY As Integer = (m_PanStartPoint.Y - e.Y)
                    'Set the new autoscroll position.
                    'ALWAYS pass positive integers to the panels autoScrollPosition method
                    Me.AutoScrollPosition = _
                            New Drawing.Point((DeltaX - Me.AutoScrollPosition.X), _
                                              (DeltaY - Me.AutoScrollPosition.Y))
                Case "Line"
                    Pic1.Refresh()
                    Pic1.CreateGraphics.DrawRectangle(dashPen, SelectRect)
                    Pic1.CreateGraphics.DrawLine(dashPen, OldX, OldY, e.X, e.Y)
                Case "Ellipse"
                    Pic1.Refresh()
                    Pic1.CreateGraphics.DrawRectangle(dashPen, SelectRect)
                    myPen = New Pen(myColor)
                    myPen = New Pen(myColor, MDIParent1.SizeBox.Text)

                    If e.X > OldX Then
                        rect.X = OldX
                        rect.Width = e.X - OldX
                    Else
                        rect.X = e.X
                        rect.Width = OldX - e.X
                    End If
                    If e.Y > OldY Then
                        rect.Y = OldY
                        rect.Height = e.Y - OldY
                    Else
                        rect.Y = e.Y
                        rect.Height = OldX - e.Y
                    End If
                    If Fill = False Then
                        Pic1.CreateGraphics.DrawEllipse(myPen, rect)
                    Else
                        Pic1.CreateGraphics.FillEllipse(myBrush, rect)
                    End If
                    x1 = rect.X
                    y1 = rect.Y
                    x2 = Math.Min(rect.X + rect.Width, Pic1.Image.Width)
                    y2 = Math.Min(rect.Y + rect.Height, Pic1.Image.Height)
                Case "Regtangle"
                    myPen = New Pen(myColor, MDIParent1.SizeBox.Text)
                    Pic1.Refresh()
                    Pic1.CreateGraphics.DrawRectangle(dashPen, SelectRect)
                    If e.X > OldX Then
                        rect.X = OldX
                        rect.Width = e.X - OldX
                    Else
                        rect.X = e.X
                        rect.Width = OldX - e.X
                    End If
                    If e.Y > OldY Then
                        rect.Y = OldY
                        rect.Height = e.Y - OldY
                    Else
                        rect.Y = e.Y
                        rect.Height = OldX - e.Y
                    End If
                    If Fill = False Then
                        Pic1.CreateGraphics.DrawRectangle(myPen, rect)
                    Else
                        Pic1.CreateGraphics.FillRectangle(myBrush, rect)
                    End If
                    x1 = rect.X
                    y1 = rect.Y
                    x2 = Math.Min(rect.X + rect.Width, Pic1.Image.Width)
                    y2 = Math.Min(rect.Y + rect.Height, Pic1.Image.Height)
                Case "Pen"
                    Pic1.Refresh()
                    Pic1.CreateGraphics.DrawRectangle(dashPen, SelectRect)
                    myPen = New Pen(myColor)
                    G.DrawLine(myPen, OldX, OldY, e.X, e.Y)
                    OldX = e.X
                    OldY = e.Y
                Case "Brush"
                    Pic1.Refresh()
                    Pic1.CreateGraphics.DrawRectangle(dashPen, SelectRect)
                    myPen = New Pen(myColor, MDIParent1.SizeBox.Text)
                    G.DrawLine(myPen, OldX, OldY, e.X, e.Y)
                    OldX = e.X
                    OldY = e.Y
                Case "Eraser"
                    Pic1.Refresh()
                    Pic1.CreateGraphics.DrawRectangle(dashPen, SelectRect)
                    Dim myEraser As Pen = New Pen(myEraserColor, MDIParent1.SizeBox.Text)
                    G.DrawLine(myEraser, OldX, OldY, e.X, e.Y)
                    OldX = e.X
                    OldY = e.Y
                Case "Text"
                    mtxt.X = e.X
                    mtxt.Y = e.Y
                Case "Paste"
                    If (dragging) Then

                        ' We're dragging the image. Move it.
                        pasteLocation.X = e.X + OffsetX
                        pasteLocation.Y = e.Y + OffsetY

                        ' Redraw.
                        Pic1.Invalidate()
                    End If
            End Select

        End If


    End Sub
    Sub ApplyChanges()
        Select Case myTool
            Case "Text"
                Pic1.Refresh()
                Exit Select
            Case "Polygon"
                Pic1.Refresh()
                Exit Select
            Case "Line"
                Pic1.Refresh()
                Exit Select
            Case "Ellipse"
                Pic1.Refresh()
                Exit Select
            Case "Regtangle"
                Pic1.Refresh()
                Exit Select
            Case "Floodfill"
                Pic1.Refresh()
                Exit Select
            Case "Pen"
                Pic1.Refresh()
                Exit Select
            Case "Brush"
                Pic1.Refresh()
                Exit Select
            Case "Eraser"
                Pic1.Refresh()
                Exit Select
            Case "Cursor"
                Pic1.Refresh()
                Exit Select
            Case "Move"
                Pic1.Refresh()
                Exit Select
            Case "Select"
                Pic1.Refresh()
                Exit Select
            Case "Picker"
                Pic1.Refresh()
                Exit Select
            Case "Crop"
                Dim src_rect As New Rectangle( _
                             Math.Min(m_X1, m_X2), _
                             Math.Min(m_Y1, m_Y2), _
                             Math.Abs(m_X2 - m_X1), _
                             Math.Abs(m_Y2 - m_Y1))
                Dim dest_rect As New Rectangle( _
                    0, 0, _
                    src_rect.Width, _
                    src_rect.Height)
                If src_rect.Width < 8 OrElse src_rect.Height < 8 Then
                    Pic1.Refresh()
                    Exit Select
                End If
                m_CroppedBm = New Bitmap(src_rect.Width, src_rect.Height)
                Using gr As Graphics = Graphics.FromImage(m_CroppedBm)
                    gr.DrawImage(bmap, dest_rect, src_rect, GraphicsUnit.Pixel)
                End Using
                bmap = m_CroppedBm
                Pic1.Image = bmap
                AddtoHistory(myTool)
                Exit Select
            Case Else
                'Paste--------
                Dim fg_bm As New Bitmap(paste.Width, paste.Height)
                Using gr As Graphics = Graphics.FromImage(fg_bm)
                    gr.DrawImage(paste, 0, 0, paste.Width, paste.Height)
                End Using
                Dim b_bm As New Bitmap(Pic1.Image.Width, Pic1.Image.Height)
                Using gr As Graphics = Graphics.FromImage(b_bm)
                    gr.DrawImage(Pic1.Image, 0, 0, Pic1.Image.Width, Pic1.Image.Height)
                    ' Draw the foreground image on top.
                    gr.DrawImage(paste, pasteLocation)
                    Pic1.Image = b_bm
                End Using

                ' We don't need the foreground bitmap any more.
                fg_bm.Dispose()

                Pic1.Refresh()
                AddtoHistory(myTool)

        End Select


        myTool = "Cursor"
        MDIParent1.ToolStripTextBox1.Text = "Type text here"
        mtxt = New Point(0, 0)
        Me.Cursor = Cursors.Default
        i = 0


        'Copy----------
        x1 = 0
        y1 = 0
        x2 = Pic1.Image.Width
        y2 = Pic1.Image.Height
        ' Create rectangle for clipping region.
        Dim clipRect As New Rectangle(x1, y1, x2 - x1, y2 - y1)

        ' Set clipping region of graphics to rectangle.
        G.SetClip(clipRect)
        dashPen.Color = Color.Transparent
        '--------------
    End Sub


    Private Sub PictureBox1_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Pic1.MouseUp
        dragging = False

        If e.Button = Windows.Forms.MouseButtons.Right Then
            ApplyChanges()
        ElseIf e.Button = Windows.Forms.MouseButtons.Left Then

            If myTool = "Line" Then
                Pic1.Refresh()
                Dim myPen As Pen = New Pen(myColor, MDIParent1.SizeBox.Text)
                G.DrawLine(myPen, OldX, OldY, e.X, e.Y)
                Pic1.Refresh()
                Pic1.CreateGraphics.DrawRectangle(dashPen, SelectRect)
                AddtoHistory(myTool)

            ElseIf myTool = "Ellipse" Then
                If Fill = False Then
                    G.DrawEllipse(myPen, rect)
                Else
                    'G.FillEllipse(myBrush, rect)
                    Select Case myStyle
                        Case "NoStyle"
                            G.FillEllipse(myBrush, rect)
                        Case "Horizontal"
                            Using GradBrush As LinearGradientBrush = New LinearGradientBrush(rect, myColor, MDIParent1.myBackColor.BackColor, LinearGradientMode.Horizontal)
                                G.FillEllipse(GradBrush, rect)
                            End Using
                        Case "Vertical"
                            Using GradBrush As LinearGradientBrush = New LinearGradientBrush(rect, myColor, MDIParent1.myBackColor.BackColor, LinearGradientMode.Vertical)
                                G.FillEllipse(GradBrush, rect)
                            End Using
                        Case "FDiagonal"
                            Using GradBrush As LinearGradientBrush = New LinearGradientBrush(rect, myColor, MDIParent1.myBackColor.BackColor, LinearGradientMode.ForwardDiagonal)
                                G.FillEllipse(GradBrush, rect)
                            End Using
                        Case "BDiagonal"
                            Using GradBrush As LinearGradientBrush = New LinearGradientBrush(rect, myColor, MDIParent1.myBackColor.BackColor, LinearGradientMode.BackwardDiagonal)
                                G.FillEllipse(GradBrush, rect)
                            End Using
                        Case "Texture"
                            'Using txBrush = New TextureBrush(textrueImg)
                            'G.FillEllipse(txBrush, rect)
                            'End Using

                    End Select
                End If
                Pic1.Refresh()
                Pic1.CreateGraphics.DrawRectangle(dashPen, SelectRect)
                AddtoHistory(myTool)

            ElseIf myTool = "Regtangle" Then
                If Fill = False Then
                    G.DrawRectangle(myPen, rect)
                Else
                    'G.FillRectangle(myBrush, rect)
                    Select Case myStyle
                        Case "NoStyle"
                            G.FillRectangle(myBrush, rect)
                        Case "Horizontal"
                            Using GradBrush As LinearGradientBrush = New LinearGradientBrush(rect, myColor, MDIParent1.myBackColor.BackColor, LinearGradientMode.Horizontal)
                                G.FillRectangle(GradBrush, rect)
                            End Using
                        Case "Vertical"
                            Using GradBrush As LinearGradientBrush = New LinearGradientBrush(rect, myColor, MDIParent1.myBackColor.BackColor, LinearGradientMode.Vertical)
                                G.FillRectangle(GradBrush, rect)
                            End Using
                        Case "FDiagonal"
                            Using GradBrush As LinearGradientBrush = New LinearGradientBrush(rect, myColor, MDIParent1.myBackColor.BackColor, LinearGradientMode.ForwardDiagonal)
                                G.FillRectangle(GradBrush, rect)
                            End Using
                        Case "BDiagonal"
                            Using GradBrush As LinearGradientBrush = New LinearGradientBrush(rect, myColor, MDIParent1.myBackColor.BackColor, LinearGradientMode.BackwardDiagonal)
                                G.FillRectangle(GradBrush, rect)
                            End Using
                        Case "Texture"
                            'Using txBrush = New TextureBrush(textrueImg)
                            'G.FillRectangle(txBrush, rect)
                            'End Using

                    End Select
                End If
                Pic1.Refresh()
                Pic1.CreateGraphics.DrawRectangle(dashPen, SelectRect)
                AddtoHistory(myTool)
            ElseIf myTool = "Pen" Then
                AddtoHistory(myTool)
            ElseIf myTool = "Brush" Then
                AddtoHistory(myTool)
            ElseIf myTool = "Eraser" Then
                AddtoHistory(myTool)
            End If
        End If
    End Sub
    Private Sub Pic1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles Pic1.Paint
        Try
            If myTool = "Paste" Then
                e.Graphics.DrawImage(paste, pasteLocation)
            ElseIf myTool = "Text" Then
                e.Graphics.DrawString(MDIParent1.ToolStripTextBox1.Text, MDIParent1.FontDialog1.Font, myBrush, mtxt.X, mtxt.Y)
            End If
        Catch ex As Exception
            MDIParent1.Status1.Text = ex.Message
        End Try
    End Sub
    Private Sub DrawString()
        myFont = MDIParent1.FontDialog1.Font
        G.TranslateTransform(0, 0)
        If Regular = True Then
            G.DrawString(MDIParent1.ToolStripTextBox1.Text, myFont, myBrush, mtxt.X, mtxt.Y)
        ElseIf Reflect = True Then
            Dim textSize As SizeF


            Dim textHeight As Single
            Dim myState As GraphicsState ' Used to store current state of Graphics

            ' Find the Size required to draw the Sample Text
            textSize = G.MeasureString(MDIParent1.ToolStripTextBox1.Text, myFont)

            ' we need to reposition
            ' the Origin of the Graphics object (0,0) to the (myTextBox.Left,
            ' myTextBox.Top) point.
            G.TranslateTransform(mtxt.X, mtxt.Y)

            Dim lineAscent As Integer
            Dim lineSpacing As Integer
            Dim lineHeight As Single

            lineAscent = myFont.FontFamily.GetCellAscent(myFont.Style)
            lineSpacing = myFont.FontFamily.GetLineSpacing(myFont.Style)
            lineHeight = myFont.GetHeight(G)
            textHeight = lineHeight * lineAscent / lineSpacing

            ' First Save the graphics state
            myState = G.Save()

            ' To draw the reflection, use the ScaleTransform with a negative
            '   value. Using -1 will reflect the Text with no distortion.
            ' Remember to account for the fact that the origin has been reset.
            G.ScaleTransform(1, -1.0F) ' Only reflecting in the Y direction
            G.DrawString(MDIParent1.ToolStripTextBox1.Text, myFont, myBackBrush, 0, -textHeight * 2)

            ' Reset the graphics state to before the transform
            G.Restore(myState)

            ' Draw the main text
            G.DrawString(MDIParent1.ToolStripTextBox1.Text, myFont, myBrush, 0, 0)
        ElseIf Shadow = True Then
            Dim textSize As SizeF

            ' Find the Size required to draw the Sample Text.
            textSize = G.MeasureString(MDIParent1.ToolStripTextBox1.Text, myFont)

            ' Draw the Shadow first.
            G.DrawString(MDIParent1.ToolStripTextBox1.Text, myFont, myBackBrush, _
                     mtxt.X + MDIParent1.SizeBox.Text, _
                    mtxt.Y + MDIParent1.SizeBox.Text)
            ' Draw the Main text over the shadow.
            G.DrawString(MDIParent1.ToolStripTextBox1.Text, myFont, myBrush, mtxt.X, mtxt.Y)
            AddtoHistory(myTool)

        End If

    End Sub

End Class
