﻿
Public Class frmCrop
    Private m_OriginalBm As Bitmap
    Private m_CroppedBm As Bitmap

    Private Sub frmCrop_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        Form1.Pic1.Refresh()
    End Sub
    Private Sub frmCrop_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        NumerictxtX.Maximum = Form1.Pic1.Image.Width
        NumerictxtY.Maximum = Form1.Pic1.Image.Height
        NumerictxtWidth.Maximum = Form1.Pic1.Image.Width
        NumerictxtHeight.Maximum = Form1.Pic1.Image.Height

        NumerictxtX.Value = m_X1
        NumerictxtY.Value = m_Y1
        NumerictxtWidth.Value = bmap.Width \ 2
        NumerictxtHeight.Value = bmap.Height \ 2
        refresh()
    End Sub
    Private Sub BuOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BuOK.Click
        m_X1 = NumerictxtX.Text
        m_Y1 = NumerictxtY.Text
        m_X2 = NumerictxtWidth.Text
        m_Y2 = NumerictxtHeight.Text
        Dim src_rect As New Rectangle(m_X1, m_Y1, m_X2, m_Y2)
        Dim dest_rect As New Rectangle( _
            0, 0, _
            src_rect.Width, _
            src_rect.Height)
        m_CroppedBm = New Bitmap(src_rect.Width, src_rect.Height)
        Using gr As Graphics = Graphics.FromImage(m_CroppedBm)
            gr.DrawImage(bmap, dest_rect, src_rect, GraphicsUnit.Pixel)
        End Using
        bmap = m_CroppedBm
        Form1.Pic1.Image = bmap
        AddtoHistory("Crop")
        Me.Close()
    End Sub


    Sub refresh()
        Form1.Pic1.Refresh()
        m_X1 = NumerictxtX.Text
        m_Y1 = NumerictxtY.Text
        m_X2 = NumerictxtWidth.Text
        m_Y2 = NumerictxtHeight.Text
        Dim rect As New Rectangle(m_X1, m_Y1, m_X2, m_Y2)
        Using mPen As Pen = New Pen(Color.Red, 2)
            mPen.DashStyle = Drawing2D.DashStyle.Dash
            Form1.Pic1.CreateGraphics.DrawRectangle(mPen, rect)
        End Using
    End Sub


    Private Sub NumerictxtX_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NumerictxtX.ValueChanged
        refresh()
    End Sub

    Private Sub NumerictxtY_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NumerictxtY.ValueChanged
        refresh()
    End Sub

    Private Sub NumerictxtWidth_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NumerictxtWidth.ValueChanged
        refresh()
    End Sub

    Private Sub NumerictxtHeight_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NumerictxtHeight.ValueChanged
        refresh()
    End Sub
End Class